@import url('https://fonts.googleapis.com/css2?family=Barlow+Condensed:ital,wght@1,700&family=Bitter:wght@400;700&display=swap');
* {
  font-family: inherit;
  font-weight: 700;
  font-style: italic;
}

:root {
  --w: 10vw;
  --red: #c32a61;
  --bg: #1d2837;
  --turkis: #4bc096;
}

html {
  font-size: 10px;
  font-family: "Barlow Condensed", sans-serif;
  font-weight: 700;
  font-style: italic;
  line-height: 1;
  background-color: var(--bg);
  width: 100vw;
  overflow-x: hidden;
  color: white;
  text-align: center;
}

body {
  width: 100%;
  background-color: var(--bg);
}

html,
body {
  overflow-x: hidden;
}

body {
  margin: 0;
}

img {
  width: 100%;
}

.relative {
  position: relative;
}

article > header {
  display: none;
}

a {
  color: white;
  text-decoration: none;
}

/* PARALLAX */

.parallax-container {
  height: 100vh;
}

.parallax__layer {
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  padding: 0 var(--w);
}

.parallax__layer#bg {
  padding: 0;
}

#bg img {
  height: 100%;
  object-fit: cover;
}

.parallax {
  perspective: 100px;
  overflow: hidden;
  position: relative;
  height: calc(100vh + 5rem);
}

.gradient {
  background: linear-gradient(
    0deg,
    rgba(29, 40, 55, 1) 0%,
    rgba(29, 40, 55, 0) 100%
  );
  position: absolute;
  left: 0;
  right: 0;
  bottom: 0rem;
  height: 10rem;
}

.reverse-gradient {
  background: linear-gradient(
    0deg,
    rgba(29, 40, 55, 0) 0%,
    rgba(29, 40, 55, 1) 100%
  );
  position: absolute;
  left: 0;
  right: 0;
  top: 0;
  height: 40rem;
  z-index: 1;
}

header {
  width: 100%;
  position: fixed;
  left: 0;
  right: 0;
  top: 0;
  padding: 1rem var(--w);
  z-index: 9;
  background-color: var(--red);
  font-size: 3rem;
  text-transform: uppercase;
  color: white;
  font-weight: 600;
  text-align: left;
}

.admin-bar header {
  top: 32px;
}

.social {
  text-align: right;
}

.social img {
  width: 3rem;
  margin-left: 1rem;
  height: auto;
  display: inline-block;
  transition: 0.2s;
}

.social a:hover img {
  transform: scale(1.3);
}

/* TEXT */
.media-container {
  margin-bottom: 14rem;
}

.content-wrapper {
  max-width: 100%;
  padding-top: 0rem;
  position: relative;
}

.text-container {
  padding: 10rem var(--w);
  text-align: center;
}

/* TYPO */

h1 {
  font-size: 7rem;
  font-weight: 600;
  margin-top: 0;
  margin-bottom: 4rem;
}

h4 {
  font-size: 4rem;
  margin-bottom: 3rem;
}

p {
  font-family: "Bitter", serif;
  font-style: normal;
  font-size: 2.3rem;
  line-height: 1.7;
  margin: 0;
}

/* BUTTONS */

.button {
  border-radius: 50rem;
  background-color: var(--turkis);
  font-size: 4rem;
  padding: 1rem 3rem 1rem 3rem;
  font-weight: 600;
  color: white;
  display: inline-block;
  margin-top: 3rem;
  text-transform: uppercase;
  border: 0px;
  transition: 0.2s;
}

input.button {
  border-radius: 100rem;
}

.button.negative {
  background-color: transparent;
  border: 2px solid white;
}

.button.small {
  font-size: 2rem;
}

.button:hover {
  cursor: pointer;
  background-color: var(--red);
  transform: scale(1.03);
}

.button.negative:hover {
  border-color: var(--red);
}

.icon {
  height: 3rem;
  width: auto;
  display: inline-block;
  margin-right: 1rem;
}

.small .icon {
  height: 1.8rem;
}

/* FOOTER */

footer {
  position: relative;
  margin-top: 30rem;
  text-align: left;
}

.footer-logo {
  position: absolute;
  left: 0;
  right: 0;
  top: 0%;
  z-index: 2;
  margin: 0 auto;
  transform: translateY(-50%);
  width: 60rem;
  max-width: 50%;
}

footer section {
  padding: 4rem var(--w);
  background-color: black;
}

footer .steam iframe {
  position: absolute;
  left: 0;
  right: 0;
  margin: 0 auto;
  bottom: calc(-100% + 5rem);
}

footer p {
  font-size: 2.2rem;
}

.ninoko {
  width: 22rem;
  height: auto;
  max-width: 80%;
  margin-bottom: 3rem;
  margin-top: 2rem;
  transition: 0.5s;
}

a:hover .ninoko {
  transform: scale(1.05);
}

/* HOW TO */

.button.how {
  margin-top: -3rem;
  background-color: var(--bg);
}

.how-to {
  max-height: 0px;
  overflow: hidden;
  transition: 2s;
  -webkit-box-shadow: inset 0px 0px 22px 6px rgb(0 0 0 / 16%);
  -moz-box-shadow: inset 0px 0px 22px 6px rgba(0, 0, 0, 0.16);
  box-shadow: inset 0px 0px 22px 6px rgb(0 0 0 / 16%);
  margin: 0 calc(-1 * calc(var(--w) + 30%));
  margin-top: 6rem;
  position: relative;
  z-index: 0;
}

.how-to p {
  font-size: 2rem;
}

.how-to section {
  padding: 7rem var(--w);
  margin-bottom: 5rem;
}

.how-to.open {
  max-height: 7000px;
}

.how-to video {
  max-width: 100%;
}

/* VIDEO */

.base-width {
  padding: 0 var(--w);
}

.videowrapper {
  float: none;
  clear: both;
  width: 100%;
  position: relative;
  padding-bottom: 56.25%;
  padding-top: 25px;
  padding-left: var(--w);
  padding-right: var(--w);
  height: 0;
}

.videowrapper iframe {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
}

/* GIFS */
.gifs {
  padding: 0 2rem;
}

.gif-container {
  position: relative;
  width: 100%;
  /* height: 0px; */
  /* padding-top: 100%; */
  /* margin-bottom: 15rem; */
  padding: 0 1rem;
}

.gif-container video {
  /* height: 100%;
    width: 100%;
    position: absolute;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    object-fit: cover; */
  border-radius: 2rem;
  width: 100%;
}

.gif-title {
  border-radius: 50rem;
  background-color: var(--red);
  padding: 1rem 2rem;
  display: inline-block;
  font-size: 2.5rem;
  margin-top: -3rem;
  transform: rotate(10deg);
  position: relative;
  z-index: 6;
}

.gifs > div:nth-of-type(2n) .gif-title {
  transform: rotate(-10deg);
}

.flex {
  display: flex;
  justify-content: space-around;
}

/* SLIDER */
.full-width {
  margin-left: calc(-1 * var(--w));
  margin-right: calc(-1 * var(--w));
}

.slider-wrapper {
  width: 100%;
}

#prev,
#next {
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  width: 5rem;
  height: auto;
}

#prev {
  left: 4rem;
}

#next {
  right: 4rem;
}

footer .text-container {
  padding-top: 0;
  padding-bottom: 0;
}

/* NEWSLETTER SIGN UP */
.content-logo {
  width: 40rem;
  max-width: 60vw;
  height: auto;
  margin-bottom: 5rem;
  margin-top: 4rem;
}

#mc_embed_signup h2 {
  font-size: 3rem !important;
}

.indicates-required {
  font-size: 1.6rem;
  margin-top: 5rem;
  text-align: right;
  display:none;

}

.asterisk {
  color: var(--red);
}

label {
  font-size: 2rem;
  margin: 5rem 0 2rem 0;
  display: block;
}

.brandingLogo {
  max-width: 20rem;
  margin: 4rem 0;
  display: none;
}

input:not(.button) {
  display: block;
  padding: 1rem 2rem;
  color: var(--bg);
  font-size: 2rem;
  width: 100%;
  border-radius: 3rem;
}

.text-left {
  text-align: center;
}

p a {
  color: var(--turkis);
}

p a:hover {
  color: white;
}


@media all and (min-width: 1600px){
    :root {
        --w: 15vw;
    }
}

/* @media all and (max-width: 1200px){
    :root {
        --w: 5vw;
    }
} */

@media all and (max-width: 768px) {
  :root {
    --w: 3rem;
  }

  .parallax-container,
  .parallax {
    height: 70vh;
  }

  html {
    font-size: 8px;
  }

  .flex {
    display: block;
  }

  .gif-container {
    padding: 0 15%;
    margin-bottom: 4rem;
  }

  .parallax img {
    width: 150%;
    margin-left: -25%;
  }

  .how-to {
    margin-left: calc(-1 * var(--w));
    margin-right: calc(-1 * var(--w));
  }

  .media-container {
    margin-bottom: 6rem;
  }

  header {
      font-size: 3rem;
  }

  .admin-bar header {
      top: 0;
  }

  .button {
      font-size: 2.8rem;
  }

  .icon {
      height: 2rem;
  }

  h1 {
      font-size: 6rem;
  }

  .social img {
      margin-left: 0.5rem;
  }

  .playtest {
      padding-right: 0;
  }

  .social-header {
      padding-left: 0;
  }

  header {
      padding-left: 1rem;
      padding-right: 1rem;
      text-align: center;
  }

  header .social {
      text-align: center;
      position: fixed;
      left:0;
      right:0;
      bottom: 0;
      z-index: 3;
      padding: 0.5rem;
      background-color: var(--bg);
  }

  footer {
      margin-top: 10rem;
  }

  footer section {
    padding-bottom:10rem
  }
}
